Package: org.grails.cli.profile.commands.io

## [Groovy] Trait ServerInteraction

- org.grails.cli.profile.commands.io.ServerInteraction

-     @groovy.transform.Trait
      @groovy.transform.CompileStatic
      trait ServerInteraction
      extends java.lang.Object

  Methods to aid interacting with the server from the CLI

  Authors:
    Graeme Rocher
  Since:
    3.0.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isServerAvailable(java.lang.String host, int port)` Returns true if the server is available
    `` | `void` | `waitForStartup(java.lang.String host, int port)` Waits for the server to startup

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### boolean isServerAvailable(java.lang.String host, int port)

      Returns true if the server is available

      Parameters:
        `host` - The host
        `port` - The port

    - #### void waitForStartup(java.lang.String host, int port)

      Waits for the server to startup

      Parameters:
        `host` - The host
        `port` - The port